const express = require('express');
const {
	getAllConcerns,
	replyToConcern,
	updateConcernStatus,
	getConcernDetails,
} = require('../../controllers/super-admin/concerns');

const router = express.Router();

router.get('/', getAllConcerns);
router.get('/:concern_id', getConcernDetails);
router.post('/:concern_id/reply', replyToConcern);
router.patch('/:concern_id/status', updateConcernStatus);

module.exports = router;
